sub init()
    m.top.uri="pkg:/images/9Patch/round_focus.9.png"
    m.top.scaleRotateCenter = [200, 35]
    m.top.width = 400
    m.top.height = 70
    m.top.blendColor="#848789"
    m.top.observeField("width", "updateLayout")
    m.top.observeField("height", "updateLayout")
    m.label = m.top.findNode("label")

    m.top.observeField("focusedChild", "onFocusedChildChanged")
end sub

sub updateLayout()
    width = m.top.width
    height = m.top.height
    m.label.width = width
    m.label.height = height
    m.top.scaleRotateCenter = [width / 2, height / 2]
end sub

sub onFocusedChildChanged()
    if (m.top.hasFocus())
        m.top.blendColor = m.top.focusedBackgroundColor
    else
        m.top.blendColor = m.top.backgroundColor
    end if
end sub

function onKeyEvent(key as string, isPressed as boolean) as boolean
    isHandled = false
    
    if (isPressed)
        if (key = "OK")
            m.top.selected = true
            isHandled = true
        end if
    end if

    return isHandled
end function