sub init()

end sub


sub getSubscription()
    info = CreateObject("roDeviceInfo")
    deviceId = info.GetDeviceUniqueId()
    url = "https://www.sageiptv.com/register_device/" + deviceId
    request = createObject("roUrlTransfer")
    request.setUrl(url)
    request.setRequest("GET")
    request.setCertificatesFile("common:/certs/ca-bundle.crt")
    request.initClientCertificates()
    request.enableCookies()
    request.retainBodyOnError(true)
    response = request.GetToString()
    responseJson = parseJson(response)
    if responseJson["error"] <> Invalid  Then
        m.top.status = false
    Else if responseJson["expired"] <> Invalid
        if responseJson["expired"] = true  Then
            m.top.status = false
        Else
            m.top.status = true
        End If
    End If
end sub


sub saveSubscription()
    info = CreateObject("roDeviceInfo")
    deviceId = info.GetDeviceUniqueId()
    url = "https://www.sageiptv.com/register_device/" + deviceId +"/"+ m.top.purchaseId
    request = createObject("roUrlTransfer")
    request.setUrl(url)
    request.setRequest("GET")
    request.setCertificatesFile("common:/certs/ca-bundle.crt")
    request.initClientCertificates()
    request.enableCookies()
    request.retainBodyOnError(true)
    response = request.GetToString()
end sub
