sub init()
      m.top.functionName = "getContent"
      di = CreateObject("roDeviceInfo")
      m.top.device_id = di.GetDeviceUniqueId()
      m.top.appUrl= "https://www.sageiptv.com"
      m.top.userparams = getJsonContent( m.top.device_id, m.top.appUrl )
     
end sub

sub getContent()
    content = createObject("roSGNode", "ContentNode")

    request = createObject("roUrlTransfer")
    request.setUrl(m.top.contenturi)
    request.setRequest("GET")
    request.setCertificatesFile("common:/certs/ca-bundle.crt")
    request.initClientCertificates()
    request.enableCookies()
    request.retainBodyOnError(true)
    response = request.GetToString()
    ?"+++++ Video List API ++++"
    ?m.top.contenturi
    m.videoList = []
    if response <> Invalid then
        response = parseJson(response)
        if response <> Invalid and response.count() > 0 then
            for each item in response
                cItm = response[item]
                for j = 0 to cItm.count() - 1
                    vItm = cItm[j]
                    itemcontent = content.createChild("ContentNode")
                    if vItm.logo <> Invalid and (vItm.logo).trim() <> "" then
                         vItm["HDLISTITEMICONURL"] =  vItm.logo 
                         vItm["HDLISTITEMICONSELECTEDURL"] =  vItm.logo
                    end if
                    itemcontent.setFields(vItm)
                    m.videoList.push(vItm)
                end for
            end for
        end if
    end if

    m.top.content = content
    m.top.videoListItems = FormatJson(m.videoList)
end sub
function getJsonContent(device_id As String, appUrl as String) As dynamic
    sUrl = appUrl + "/get_all_list_jason/"+ucase(device_id)
    if sUrl = invalid return invalid
    httpGet = CreateObject("roUrlTransfer")
    httpGet.SetURL(sUrl)
    httpGet.EnableEncodings(true)
    httpGet.RetainBodyOnError(true)
    httpGet.SetCertificatesFile("common:/certs/ca-bundle.crt")
    httpGet.InitClientCertificates()
    sData = httpGet.GetToString()
    if sData = ""
        print "ERROR: " + sUrl + " : " + httpGet.GetFailureReason()
    end if
   return sData.Trim()
End Function