sub init()
    m.top.functionName = "getContent"
end sub

sub getContent()

    
    print ">>> HomeScene :: init()"
    
    print "<<< HomeScene :: init()"
    
    content = createObject("roSGNode", "ContentNode")

    request = createObject("roUrlTransfer")
    request.setUrl(m.top.contenturi)
    request.setRequest("GET")
    request.setCertificatesFile("common:/certs/ca-bundle.crt")
    request.initClientCertificates()
    request.enableCookies()
    request.retainBodyOnError(true)
    response = request.GetToString()
    ?"+++++ Category API ++++"
    ?m.top.contenturi

    m.cList = []
    tmpCatArr = []
    if response <> Invalid then
        response = parseJson(response)
        if response <> Invalid and response.count() > 0 and response.list <> Invalid and response.list.count() > 0 then
            for each item in response.list
                tmpCatArr.push(item.id)
            end for

            for i = 0 to tmpCatArr.count() - 1
                for each item in response.list
                    if tmpCatArr[i] = item.id then
                        cItm = item
                        itemcontent = content.createChild("ContentNode")

                        gItem = {}
                        if cItm.poster <> Invalid and (cItm.poster).trim() <> "" then
                            gItem["hdgridposterurl"] = cItm.poster
                        end if
                        if cItm.name <> Invalid and (cItm.name).trim() <> "" then
                            gItem["shortdescriptionline1"] = cItm.name
                        end if
                        gItem["id"] = item.id

                        cItm["categoryId"] = item
                        itemcontent.setFields(gItem)
                        m.cList.push(cItm)
                    end if
                end for
            end for
        end if
    end if
    m.top.content = content
    m.top.categoryList = FormatJson(m.cList)
end sub

' Handler for processing RokuSignUp flow result.
sub On_rokuSignUp_isSubscribed()
    msgDialog = CreateObject("roSGNode", "BackDialog")
    msgDialog.buttons = ["Continue"]
    msgDialog.buttonGroup.focusBitmapUri = "pkg:/images/button_on.9.png"
    msgDialog.ObserveField("buttonSelected", "On_msgDialog_buttonSelected")
    msgDialog.ObserveField("isBackPressed", "On_msgDialog_buttonSelected")
    
    if m.rokuSignUp.isSubscribed then
        if m.rokuSignUp.isAfterLoginAuthFlow then
            On_msgDialog_buttonSelected()
        else
            msgDialog.title = "Subscribed successfully"
            m.top.dialog = msgDialog
        end if
    else
        msgDialog.title = "Not subscribed"
        m.top.dialog = msgDialog
    end if
end sub

' Handler for processing subscription result dialog button selection.
sub On_msgDialog_buttonSelected()
    if m.rokuSignUp.isSubscribed then
        m.top.backgroundURI = "pkg:/images/bg_colored.jpg"
    else
        m.top.backgroundUri = "pkg:/images/bg_dark.jpg"
    end if
    m.top.dialog.close = true
    m.rokuSignUp.show = false
    m.top.SetFocus(true)
end sub